Subject: [Idr] Can RFC5512 specified Tunnel Advertisement be used for an endpoint to announce supporting multiple tunnel types?

From: Linda Dunbar <[email-masked]>
Date: Tue, 26 Jun 2018 18:16:00 +0000

BGP experts:

If an end point support multiple tunnel encapsulations (GRE, VxLAN, etc), does RFC5512 specified Tunnel Advertisements allow the endpoint to announce all those tunnel types? How?

Thank you.

Linda Dunbar

From: Linda Dunbar
Sent: Tuesday, June 26, 2018 1:03 PM
To: 'Linda Dunbar' <[email-masked]>; [email-masked]; [email-masked]; [email-masked]
Subject: RE: [Idr] Questions to RFC5512: Encapsulation sub-TLV and Opaque extended community to indicate the Encapsulation protocol?

BGP experts:

The RFC5512 has "distinguished SAFI value" and "the Encapsulation SAFI". Do those two terms have the same meaning?
The Section 3 of RFC5512 has SAFI value of 7 to represent Encapsulation SAFI.
Does it mean that the "distinguished SAFI value" is just "7" for speaker to advertise its supported Tunnel information?

The Section 4 goes on defining the Tunnel Encapsulation Type (such as L2TPv3 with Type =1; etc), and a list of sub-TLVs, one of the SubTLV is Protocol Type (section 4.2) which can be used to represent the Encapsulation Protocol (i.e. protocol type of data frames carried by the tunnel)

Why need the Opaque extended community to indicate the Encapsulation protocol?

Thank you very much.

Linda Dunbar

---

From: Eric C Rosen <[email-masked]>
Date: Tue, 26 Jun 2018 15:46:53 -0400

On 6/26/2018 2:16 PM, Linda Dunbar wrote:
> If an end point support multiple tunnel encapsulations (GRE, VxLAN, 
> etc), does RFC5512 specified Tunnel Advertisements allow the endpoint 
> to announce all those tunnel types? How? 

By including multiple Tunnel Type TLVs in the Tunnel Encapsulation 
attribute.